Index: branches/SHM-4.0-dev/cfg/encoder_intra_he10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_intra_he10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_intra_he10.cfg	(revision 466)
@@ -43,5 +43,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # internal bit-depth = BitDepth + BitIncrement
+#InternalBitDepth             : 10          # codec operating bit-depth
+InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_intra_main.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_intra_main.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_intra_main.cfg	(revision 466)
@@ -48,5 +48,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # codec operating bit-depth
+#InternalBitDepth             : 8           # codec operating bit-depth
+InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
+InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_intra_main10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_intra_main10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_intra_main10.cfg	(revision 466)
@@ -48,5 +48,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # codec operating bit-depth
+#InternalBitDepth             : 10          # codec operating bit-depth
+InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_he10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_he10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_he10.cfg	(revision 466)
@@ -50,5 +50,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # internal bit-depth = BitDepth + BitIncrement
+#InternalBitDepth             : 10          # internal bit-depth = BitDepth + BitIncrement
+InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_main.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_main.cfg	(revision 466)
@@ -53,5 +53,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # codec operating bit-depth
+#InternalBitDepth             : 8           # codec operating bit-depth
+InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
+InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_main10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_lowdelay_P_main10.cfg	(revision 466)
@@ -55,5 +55,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # codec operating bit-depth
+#InternalBitDepth             : 10          # codec operating bit-depth
+InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_lowdelay_he10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_lowdelay_he10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_lowdelay_he10.cfg	(revision 466)
@@ -48,5 +48,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # internal bit-depth = BitDepth + BitIncrement
+#InternalBitDepth             : 10          # codec operating bit-depth
+InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_lowdelay_main.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_lowdelay_main.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_lowdelay_main.cfg	(revision 466)
@@ -53,5 +53,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # codec operating bit-depth
+#InternalBitDepth             : 8           # codec operating bit-depth
+InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
+InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_lowdelay_main10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_lowdelay_main10.cfg	(revision 466)
@@ -53,5 +53,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # codec operating bit-depth
+#InternalBitDepth             : 10          # codec operating bit-depth
+InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_randomaccess_he10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_randomaccess_he10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_randomaccess_he10.cfg	(revision 466)
@@ -62,5 +62,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # internal bit-depth = BitDepth + BitIncrement
+#InternalBitDepth             : 10          # codec operating bit-depth
+InternalBitDepth0             : 10          # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10          # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_randomaccess_main.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_randomaccess_main.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_randomaccess_main.cfg	(revision 466)
@@ -65,5 +65,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # codec operating bit-depth
+#InternalBitDepth             : 8           # codec operating bit-depth
+InternalBitDepth0             : 8           # codec operating bit-depth for layer 0
+InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/encoder_randomaccess_main10.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/encoder_randomaccess_main10.cfg	(revision 466)
@@ -65,5 +65,7 @@
 
 #=========== Misc. ============
-InternalBitDepth              : 10          # codec operating bit-depth
+#InternalBitDepth             : 10           # codec operating bit-depth
+InternalBitDepth0             : 10           # codec operating bit-depth for layer 0
+InternalBitDepth1             : 10           # codec operating bit-depth for layer 1
 
 #=========== Coding Tools =================
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
Index: branches/SHM-4.0-dev/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- branches/SHM-4.0-dev/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 464)
+++ branches/SHM-4.0-dev/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 466)
@@ -1,3 +1,5 @@
-InputBitDepth                 : 8           # Input bitdepth
+#InputBitDepth                : 8           # Input bitdepth
+InputBitDepth0                : 8           # Input bitdepth for layer 0
+InputBitDepth1                : 8           # Input bitdepth for layer 1
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
